Bug 247667 - games/minecraft-server: Update to 1.16.1
Summary: games/minecraft-server: Update to 1.16.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-30 19:34 UTC by Juraj Lutter
Modified: 2020-07-24 00:35 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
games/minecraft-server: Update to 1.16.1 (1.15 KB, patch)
2020-06-30 19:34 UTC, Juraj Lutter
no flags Details | Diff
games/minecraft-server: Update to 1.16.1 (1.15 KB, patch)
2020-07-01 14:30 UTC, Juraj Lutter
no flags Details | Diff
games/minecraft-server: Update to 1.16.1 with correct distinfo (1013 bytes, patch)
2020-07-18 20:12 UTC, Juraj Lutter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-06-30 19:34:31 UTC
Created attachment 216075 [details]
games/minecraft-server: Update to 1.16.1

Hi,

please find the patch attached. It updates games/minecraft-server to the recent version (1.16.1)

Poudriere logs:
https://freebsd-stable.builder.wilbury.net/data/12_STABLE_GENERIC_amd64-default-mailin/2020-06-30_19h40m55s/logs/minecraft-server-1.16.1.log

Thanks.
Comment 1 Automation User 2020-06-30 19:51:03 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/161748843
Comment 2 Fernando Apesteguía freebsd_committer 2020-07-01 05:43:07 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

Thanks!
Comment 3 Juraj Lutter 2020-07-01 14:29:28 UTC
No, there is no Changelog for this. And while here, also new patch is submitted with corrected MASTER_SITES.
Comment 4 Juraj Lutter 2020-07-01 14:30:18 UTC
Created attachment 216113 [details]
games/minecraft-server: Update to 1.16.1
Comment 5 Automation User 2020-07-16 00:07:38 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/167132876
Comment 6 commit-hook freebsd_committer 2020-07-18 02:07:04 UTC
A commit references this bug:

Author: swills
Date: Sat Jul 18 02:06:08 UTC 2020
New revision: 542475
URL: https://svnweb.freebsd.org/changeset/ports/542475

Log:
  games/minecraft-server: Update to 1.16.1

  PR:		247667
  Submitted by:	Juraj Lutter <juraj@lutter.sk> (maintainer)

Changes:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/distinfo
Comment 7 Steve Wills freebsd_committer 2020-07-18 02:07:17 UTC
Committed, thanks!
Comment 8 Timmons C. Player 2020-07-18 20:02:21 UTC
This patch can't be correct can it?  How can version 1.16.1 have the same sha256 and size as 1.15.2?
Comment 9 Juraj Lutter 2020-07-18 20:12:11 UTC
Created attachment 216551 [details]
games/minecraft-server: Update to 1.16.1 with correct distinfo
Comment 10 Juraj Lutter 2020-07-18 20:12:50 UTC
You are right, it's due to the way how minecraft server download works.
Comment 11 commit-hook freebsd_committer 2020-07-24 00:31:15 UTC
A commit references this bug:

Author: swills
Date: Fri Jul 24 00:30:18 UTC 2020
New revision: 542977
URL: https://svnweb.freebsd.org/changeset/ports/542977

Log:
  games/minecraft-server: fix fetch

  PR:		247667
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Approved by:	maintainer timeout (freebsd@jonathanprice.org, >2 weeks)

Changes:
  head/games/minecraft-server/distinfo